Name:           python-gunicorn
Version:        22.0.0
Release:        %autorelease
Summary:        WSGI HTTP Server for UNIX

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://gunicorn.org
Source:         %{pypi_source gunicorn}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gunicorn' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gunicorn
Summary:        %{summary}

%description -n python3-gunicorn %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-gunicorn eventlet,gevent,setproctitle,testing,tornado


%prep
%autosetup -p1 -n gunicorn-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x eventlet,gevent,setproctitle,testing,tornado


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-gunicorn -f %{pyproject_files}


%changelog
%autochangelog